TOWUPPER(3)

NAME
towupper, towupper_l - lower case to upper case letter conversion (wide character version)

LIBRARY
libc

SYNOPSIS
#include <wctype.h>
wint_t
towupper(wint_t wc);
#include <wctype.h>
#include <xlocale.h>
wint_t
towupper_l(wint_t wc, locale_t loc);

DESCRIPTION
The towupper() function converts a lower-case letter to the corresponding upper-case letter.

Although the towupper() function uses the current locale, the towupper_l() function may be passed a locale directly. See xlocale(3) for more information.

RETURN VALUES
If the argument is a lower-case letter, the towupper() function returns the corresponding upper-case letter if there is one; otherwise, the argument is returned unchanged.

SEE ALSO
iswupper(3), toupper(3), towlower(3), wctrans(3), xlocale(3)

STANDARDS
The towupper() function conforms to isoC-99.